function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"2",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
	-- show_help_wnd=true;
	-- init_mini(1);
	-- create_mini(2,3,3,5);
	-- reset_game();
				init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ИГРЫ КОРОВЫ И БЫКИ
--  1-й параметр - Код миниигры. Для Коров и Быков - 2.
--  2-й параметр - Количество цифр в наборе.
--  3-й параметр - Количество цифр в загадываемом числе.
--  4-й параметр - Количество попыток перед сбросом пароля.
--  5-й параметр - Могут ли числа повторяться. Если 1, то могут, если 0, то нет.
--  6-й параметр - Загадываемый код в виде строки цифр длины (3-й параметр). Если строка пустая, код загадывает сама игра.
			create_mini(2,10,4,131072,1,"1898",1036,10040,61,61,49,50);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)
  if sender==16 then
	if not help then
		help=true;
		CreateWindow(200,200,"2",100,"messageinfo")
	end;
	BlockCursor(false);
  return;end;  
  

	
  if sender==30 then
    setcurentleaf("grim",1,0);
	
    DarkScreen(false); 
    if flags.minicomplete1 then
	   StopEmiter("Svet2");
		collaps_obj(48,0,0,0,0);
		setcolor(48,0,0,0,0.5,1);
		--flags.minitext2=true
		Set_Cursor(14,3);
		savegame(SaveLevel())
    return; end;

  return; end;
	
	if sender==28 then
			speciale_action(2,6000)
			HideSkipBtn ()	
	return;end;
	if sender==26 then
		if id==1 then
		   	flags.minicomplete1=true;
			
			clear_satelite_leaf("grim");		
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then	
		ok=true;
		playeffect("miniC");
	--	speciale_action(2,1035,true);
		speciale_action(2,1006,true);
		speciale_action(2,1000,true);
 	return; end;

	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;
	
	if sender==1 then	
	
		if id==6000 then
			
			CreateWindow(200,200,"2",100,"messageinfo") 
		return;end;
		
		if id==1009 then
		if not ok then
		   clear_satelite_leaf("grim");
		   finish_mini_game(false);
		   playeffect("close");
		   	DeleteResource("am1_numbers");
			DeleteResource("am1_bg");
			DeleteResource("am1_bdown");
			DeleteResource("am1_bup");
			DeleteResource("am1_pict");
			DeleteResource("am1_open");
			DeleteResource("am1_btn1");		
			DeleteResource("am1_btn2");	
			DeleteResource("am1_btn3");
			DeleteResource("am1_bracelet");
		return; end;
		return; end;
		if id==1000 then
			CreateWindow(100,100,"213",1);
			
		return; end;

		if id==5000 and skipping then
		playeffect("skip");
		if not ok then
			finish_mini_game(true);
		return; end;	
		return; end;
		
		if id==1005 then
		if not flags.pict then
			speciale_action(2,1035);				
			speciale_action(2,1039);				
			speciale_action(2,1038);
			speciale_action(2,1037);				
			speciale_action(2,1036);				
			speciale_action(2,1028);				
			speciale_action(2,1027);				
			speciale_action(2,1026);				
			speciale_action(2,1025);				
			speciale_action(2,1018);				
			speciale_action(2,1017);				
			speciale_action(2,1016);				
			speciale_action(2,1015);				
			speciale_action(2,1009);	
			MoveObjectX(1005,183,557,3);
			flags.pict=true;

		return; end;
		return; end;
		if not ok then
		if id == 1015 
		then
                  --move_texture(1036,1);
                  playeffect("safe");
                  -- 1-й параметр - идентификатор полоски цифр.
                  -- 2-й параметр - номер стрЕлки. Нумерация начинается с нуля.
                  -- 3-й параметр - 0 - стрЕлка вниз, 1 - стрЕлка вверх.
                  check_mini_game_zamok(1036,0,5);
		elseif  id == 1025
		then
			--move_texture(1036,0);
				playeffect("safe");
                  -- 1-й параметр - идентификатор полоски цифр.
                  -- 2-й параметр - номер стрЕлки. Нумерация начинается с нуля.
                  -- 3-й параметр - 0 - стрЕлка вниз, 1 - стрЕлка вверх.
                  check_mini_game_zamok(1036,0,6);
		--//кнопка 2
		elseif id == 1016 
		then
			--move_texture(1037,1);
                  playeffect("safe");
                  -- 1-й параметр - идентификатор полоски цифр.
                  -- 2-й параметр - номер стрЕлки. Нумерация начинается с нуля.
                  -- 3-й параметр - 0 - стрЕлка вниз, 1 - стрЕлка вверх.
                  check_mini_game_zamok(1037,1,5);
		elseif  id == 1026
		then
			--move_texture(1037,0);
                  playeffect("safe");
                  -- 1-й параметр - идентификатор полоски цифр.
                  -- 2-й параметр - номер стрЕлки. Нумерация начинается с нуля.
                  -- 3-й параметр - 0 - стрЕлка вниз, 1 - стрЕлка вверх.
                  check_mini_game_zamok(1037,1,6);
			
		--//кнопка 3
		elseif id == 1017 
		then
			--move_texture(1038,1);
                playeffect("safe");
                  -- 1-й параметр - идентификатор полоски цифр.
                  -- 2-й параметр - номер стрЕлки. Нумерация начинается с нуля.
                  -- 3-й параметр - 0 - стрЕлка вниз, 1 - стрЕлка вверх.
                  check_mini_game_zamok(1038,2,5);
		elseif  id == 1027
		then
			--move_texture(1038,0);
                playeffect("safe");
                  -- 1-й параметр - идентификатор полоски цифр.
                  -- 2-й параметр - номер стрЕлки. Нумерация начинается с нуля.
                  -- 3-й параметр - 0 - стрЕлка вниз, 1 - стрЕлка вверх.
                  check_mini_game_zamok(1038,2,6);
		--//кнопка 4
		elseif id == 1018 
		then
			--move_texture(1039,1);
                playeffect("safe");
                  -- 1-й параметр - идентификатор полоски цифр.
                  -- 2-й параметр - номер стрЕлки. Нумерация начинается с нуля.
                  -- 3-й параметр - 0 - стрЕлка вниз, 1 - стрЕлка вверх.
                  check_mini_game_zamok(1039,3,5);
		elseif  id == 1028
		then
			--move_texture(1039,0);
                playeffect("safe");
                  -- 1-й параметр - идентификатор полоски цифр.
                  -- 2-й параметр - номер стрЕлки. Нумерация начинается с нуля.
                  -- 3-й параметр - 0 - стрЕлка вниз, 1 - стрЕлка вверх.
                  check_mini_game_zamok(1039,3,6);
		--//кнопка 5
		elseif id == 1019 
		then
			move_texture(1040,1);playeffect("safe");
		elseif  id == 1029
		then
			move_texture(1040,0);playeffect("safe");	
		--//кнопка 6
		elseif id == 1020 
		then
			move_texture(1041,1);playeffect("safe");
		elseif  id == 1030
		then
			move_texture(1041,0);playeffect("safe");
		--//кнопка 6
		elseif id == 1021 
		then
			move_texture(1042,1);playeffect("safe");
		elseif  id == 1031
		then
			move_texture(1042,0);playeffect("safe");
		--//кнопка 7
		elseif id == 1022 
		then
			move_texture(1043,1);playeffect("safe");
		elseif  id == 1032
		then
			move_texture(1043,0);playeffect("safe");
		--//кнопка 8
		elseif id == 1023 
		then
			move_texture(1044,1);playeffect("safe");
		elseif  id == 1033
		then
			move_texture(1044,0);playeffect("safe");
		--//кнопка 9
		elseif id == 1024 
		then
			move_texture(1045,1);playeffect("safe");
		elseif  id == 1034
		then
			move_texture(1045,0);playeffect("safe");
			
		elseif id == 1003
		then
		 playeffect(35);
		elseif id == 1002 
		then
			reset_game();
			playeffect(25);
		end;	
	return; end;		return; end;
end;
function mini_delete ()

end;